# operator-(std::reverse_iterator)

From cppreference.com
< cpp‎ | iterator‎ | reverse iterator

template< class Iterator > typename reverse_iterator<Iterator>::difference_type operator-( const reverse_iterator<Iterator>& lhs, const reverse_iterator<Iterator>& rhs ); |  | (until C++11)
template< class Iterator1, class Iterator2 > auto operator-( const reverse_iterator<Iterator1>& lhs, const reverse_iterator<Iterator2>& rhs ) -> decltype(rhs.base() - lhs.base()); |  | (since C++11) (until C++17)
template< class Iterator1, class Iterator2 > constexpr auto operator-( const reverse_iterator<Iterator1>& lhs, const reverse_iterator<Iterator2>& rhs ) -> decltype(rhs.base() - lhs.base()); |  | (since C++17)

Returns the distance between two iterator adaptors.

### Parameters

lhs, rhs | - | iterator adaptors to compute the difference of

### Return value

rhs.base() - lhs.base()

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/reverse_iterator/operator-&oldid=50886"